<id>
din1031:TimezoneSelect
</id>

<version>
1.0.8
</version>

<edit file>
$sourcedir/Subs-TimeZone.php
</edit file>

<search for>
		return $utcTimestamp + $modSettings['timezones_standard_offset'];
</search for>

<replace>
		//Okay a little bit faster and sometimes 0 is not set ;D
		if(empty($modSettings['timezones_standard_offset']))
			return $utcTimestamp;
		else
			return $utcTimestamp + $modSettings['timezones_standard_offset'];
</replace>

<edit file>
$sourcedir/Profile.php
</edit file>

<search for>
	//Checkup the Timezones 8)
	if(!empty($modSettings['timezones_enable']))
	{
		$zoneCalc = calculateZoneDtsData($_POST['timezone']);
		if($zoneCalc !== false)
		{
			$_POST['timezone_update'] = $zoneCalc['nextUpdate'];
			$_POST['timezone_offset'] = $zoneCalc['offsetSeconds'];
		}
		else
		{
			$_POST['timezone'] = '';
			$_POST['timezone_update'] = 0;
			$_POST['timezone_offset'] = 0;
		}
	}
	else {
		$_POST['timezone'] = '';
		$_POST['timezone_update'] = 0;
		$_POST['timezone_offset'] = 0;
	}
</search for>

<replace>
	//Checkup the Timezones 8)
	if(!empty($modSettings['timezones_enable']) && isset($_POST['timezone']))
	{
		$zoneCalc = calculateZoneDtsData($_POST['timezone']);
		if($zoneCalc !== false)
		{
			$_POST['timezone_update'] = $zoneCalc['nextUpdate'];
			$_POST['timezone_offset'] = $zoneCalc['offsetSeconds'];
		}
		else
		{
			$_POST['timezone'] = '';
			$_POST['timezone_update'] = 0;
			$_POST['timezone_offset'] = 0;
		}
	}
</replace>

