<?php
// Version: 1.0.3; ManageTimeszones

function template_main()
{
	global $context, $settings, $options, $scripturl, $txt, $modSettings;

	echo '
		<table border="0" align="center" cellspacing="1" cellpadding="4" class="bordercolor" width="80%">
			<tr class="titlebg">
				<th>', $txt['timezones_timeInformations'], '</th>
			</tr>
			<tr>
				<td class="windowbg2">
					', $txt['timezones_information_about'] ,'
				</td>
			</tr>			<tr>
				<td class="windowbg">
					<div style="text-align:center; font-weight:bold; text-decoration:underline;">', $txt['timezones_standaradtime'], '</div><br />
					', $txt['timezones_servertime'], ': <b>', $context['info']['server_time'] , '</b><br />
					', $txt['timezones_utctime'], ': <b>', $context['info']['utc_time'] , '</b>'.(!empty($modSettings['timezones_utcFix']) ? '
					<span class="smalltext">'.$txt['timezones_utctimefix_before'].' <b>'.$modSettings['timezones_utcFix'].'</b> '.$txt['timezones_utctimefix_after'].'</span>' : '').'<br />
					<span class="smalltext">', $txt['timezones_utcCheckupInformation'], '</span><br />
					<hr />
					<div style="text-align:center; font-weight:bold; text-decoration:underline;">', $txt['timezones_smftime'], '</div><br />
					'.(!empty($modSettings['timezones_enable']) ? $txt['timezones_timezoneEnabled'] : $txt['timezones_timezoneDisabled']).'<br />
					', $txt['timezones_calculatedSMFTime'], ': <b>', $context['info']['smf_clactime'] , '</b><br />
					', $txt['timezones_calculatedSMFZone'], ': <b>', $context['info']['smf_zone'] , '</b><br />
					', $txt['timezones_calculatedSMFDTS'], ': <b>', $context['info']['smf_dts'] , '</b><br />
				</td>
			</tr>
		</table>';
}

function template_timezones_edit()
{
	global $context, $settings, $options, $scripturl, $txt, $modSettings;

	echo '
	<form action="', $context['post_url'], '" method="post" accept-charset="', $context['character_set'], '" style="margin: 0;">
		<table border="0" align="center" cellspacing="0" cellpadding="4" class="bordercolor" width="80%">
			<tr class="titlebg">
				<th colspan="2">', $txt['timezones_edit'], '</th>
			</tr>
			<tr>
				<td class="windowbg" align="right">
					<b>'.$txt['timezones_zone'].'</b>
				</td>
				<td class="windowbg" align="left">
					<input type="hidden" name="zone" value="'.$context['zone']['zone'].'"/>'.$context['zone']['zone'].'
				</td>
			</tr>
			<tr>
				<td class="windowbg" align="right">
					<b>'.$txt['timezones_name'].'</b>
				</td>
				<td class="windowbg" align="left">
					<input type="text" size="50" name="replaceName" value="'.$context['zone']['replaceName'].'"/>
				</td>
			</tr>
			<tr>
				<td class="windowbg" align="right">
					<b>'.$txt['timezones_country_name'].'</b>
				</td>
				<td class="windowbg" align="left">
					<input type="text" size="50" name="country_name" value="'.$context['zone']['country_name'].'"/>
				</td>
			</tr>
			<tr>
				<td class="windowbg" align="right">
					<b>'.$txt['timezones_designator'].'</b>
				</td>
				<td class="windowbg" align="left">
					<input type="text" name="short_zone" value="'.$context['zone']['short_zone'].'"/>
				</td>
			</tr>
			<tr>
				<td class="windowbg" align="right">
					<b>'.$txt['timezones_comment'].'</b>
				</td>
				<td class="windowbg" align="left">
					<input type="text" size="50" name="comment" value="'.$context['zone']['comment'].'"/>
				</td>
			</tr>
			<tr>
				<td class="windowbg" align="right">
					<b>'.$txt['timezones_disableTimezone'].'</b>
				</td>
				<td class="windowbg" align="left">
					<input type="checkbox" class="check" name="disabled" value="1"'.(!empty($context['zone']['disabled']) ? ' checked="checked"' : '').'/>
				</td>
			</tr>
			<tr>
				<td class="windowbg2" align="center" colspan="2">
					<input type="hidden" name="return" value="'.$context['returnTo'].'"/>
					<input type="submit" size="50" name="save" value="'.$txt['timezones_save'].'"/>
				</td>
			</tr>
		</table>
	</form>';
}

function template_timezones_list() {
	global $context, $settings, $options, $scripturl, $txt;
	echo '
		<table border="0" align="center" cellspacing="1" cellpadding="4" class="bordercolor" width="90%">
			<tr class="catbg">
				<th colspan="'.($context['user']['is_admin'] ? 9 : 8).'">'.$context['page_title'].'</th>
			</tr>';
	if(!empty($context['showSearch'])) {
		echo '
			<tr class="titlebg2">
				<td colspan="'.($context['user']['is_admin'] ? 9 : 8).'" align="right">
					<form action="', $context['post_url'], '" method="post" accept-charset="', $context['character_set'], '" style="margin: 0;">
						'.$txt['timezones_searchFor'].'
						<input type="text" name="search" value="" style="width: 190px;" />&nbsp;';
		if($context['user']['is_admin'])
			echo '
						'.$txt['timezones_includeDisabled'].': <input type="checkbox" name="includeDisabled" value="1" class="check" />';
		else
			echo '
						<input type="hidden" name="includeDisabled" value="0" />';

		echo '
						<input type="submit" name="submit" value="', $txt[182], '" style="width: 11ex;" />
						<input type="hidden" name="return" value="'.$context['return'].'" /></form>
					</td>
			</tr>';
	}
	echo '
			<tr class="titlebg">
				<th>'.$txt['timezones_name'].'</th>
				<th>'.$txt['timezones_worldpart'].'</th>
				<th>'.$txt['timezones_city_land'].'</th>
				<th>'.$txt['timezones_country_name'].'</th>
				<th>'.$txt['timezones_country_code'].'</th>
				<th>'.$txt['timezones_designator'].'</th>
				<th>'.$txt['timezones_offset'].'</th>
				<th>'.$txt['timezones_dst'].'</th>'.($context['user']['is_admin'] ? '
				<th>&nbsp;</th>' : '').'
			</tr>';

	if(empty($context['timezones_searches'])) {
		echo '
				<tr class="windowbg" >
					<td class="windowbg" colspan="'.($context['user']['is_admin'] ? 9 : 8).'"	>'.$txt['timezones_noTimezonesFound'].'</td>
				</tr>';
	}
	else {
		foreach($context['timezones_searches'] as $zone) {
			echo '
					<tr class="windowbg">
						<td class="windowbg">'.$zone['name'].'</td>
						<td class="windowbg">'.$zone['worldpart'].'</td>
						<td class="windowbg">'.$zone['city_land'].'</td>
						<td class="windowbg">'.$zone['country_name'].'</td>
						<td class="windowbg">'.$zone['country_code'].'</td>
						<td class="windowbg">'.$zone['designator'].'</td>
						<td class="windowbg">'.$zone['offset'].'</td>
						<td class="windowbg">'.$zone['dst'].'</td>';
			if($context['user']['is_admin']) {
				echo '
						<td class="windowbg">'.($zone['enabled'] ? '' : $txt['timezones_disabled'].' ').$zone['edit'].'
						</td>';
			}
		echo '
				</tr>';
		}
		if(!empty($context['return']))
			echo '
				<tr class="windowbg">
					<td class="windowbg" colspan="'.($context['user']['is_admin'] ? 9 : 8).'"	><span class="smalltext">'.$txt['timezones_clickNameReturn'].'</span></td>
				</tr>';
		if(!empty($context['show_masterDisable']))
			echo '
				<tr align="center">
					<td class="windowbg" colspan="'.($context['user']['is_admin'] ? 9 : 8).'"	>
						'.($context['some_enabled'] ? '
							<a href="'.$scripturl.'?action=managetimezones;sa=disableAll;master='.$_REQUEST['master'].'">'.$txt['timezones_DisableAll'].' '.$_REQUEST['master'].'</a>' : '
							<a href="'.$scripturl.'?action=managetimezones;sa=enableAll;master='.$_REQUEST['master'].'">'.$txt['timezones_EnableAll'].' '.$_REQUEST['master'].'</a>').'
					</td>
				</tr>';
	}
	echo '
			</table>';
}
?>