<id>
din1031:TimezoneSelect
</id>

<version>
1.1.0
</version>

<edit file>
$boarddir/index.php
</edit file>

<search for>
require_once($sourcedir . '/Subs.php');
</search for>

<replace>
require_once($sourcedir . '/Subs.php');
require_once($sourcedir . '/Subs-TimeZone.php');
</replace>

<search for>
		'managesearch' => array('ManageSearch.php', 'ManageSearch'),
</search for>

<replace>
		'managesearch' => array('ManageSearch.php', 'ManageSearch'),
		'managetimezones' => array('ManageTimezones.php', 'ManageTimezones'),
		'timezonesearch' => array('ManageTimezones.php', 'timezone_search'),
</replace>

<edit file>
$boarddir/SSI.php
</edit file>

<search for>
require_once($sourcedir . '/Subs.php');
</search for>

<replace>
require_once($sourcedir . '/Subs.php');
require_once($sourcedir . '/Subs-TimeZone.php');
</replace>

<edit file>
$sourcedir/Load.php
</edit file>

<search for>
		'time_offset' => empty($user_settings['timeOffset']) ? 0 : $user_settings['timeOffset'],
</search for>

<replace>
		'time_offset' => empty($user_settings['timeOffset']) ? 0 : $user_settings['timeOffset'],
		//Timezone Infomations
		'timezone' => !empty($modSettings['timezones_enable']) && !empty($user_settings['timezone']) ? $user_settings['timezone'] : '',
		'timezone_update' => !empty($modSettings['timezones_enable']) && !empty($user_settings['timezone_update']) ? $user_settings['timezone_update'] : 0,
		'timezone_offset' => !empty($modSettings['timezones_enable']) && !empty($user_settings['timezone_offset']) ? $user_settings['timezone_offset'] : 0,
</replace>

<search for>
			mem.buddy_list, mg.onlineColor AS member_group_color, IFNULL(mg.groupName, '') AS member_group,
</search for>

<replace>
			mem.buddy_list, mg.onlineColor AS member_group_color, IFNULL(mg.groupName, '') AS member_group,
			". (!empty($modSettings['timezones_enable']) ? 'mem.timezone, mem.timezone_update, mem.timezone_offset, ' : '') . "
</replace>

<search for>
			mem.timeFormat, mem.secretQuestion, mem.is_activated, mem.additionalGroups, mem.smileySet, mem.showOnline,
</search for>

<replace>
			mem.timeFormat, mem.secretQuestion, mem.is_activated, mem.additionalGroups, mem.smileySet, mem.showOnline,
			". (!empty($modSettings['timezones_enable']) ? 'mem.timezone, mem.timezone_update, mem.timezone_offset, ' : '')."
</replace>

<search for>
	// What a monstrous array...
</search for>

<replace>
	$localTime = '';
	if(!empty($modSettings['timezones_enable']))
		$localTime = local_userTime($user);
	else
		$localTime = timeformat(time() + ($profile['timeOffset'] - $user_info['time_offset']) * 3600, false);

	// What a monstrous array...
</replace>

<search for>
		'local_time' => timeformat(time() + ($profile['timeOffset'] - $user_info['time_offset']) * 3600, false),
</search for>

<replace>
		'local_time' => $localTime,
		//Timezone Infomations
		'timezone' => !empty($modSettings['timezones_enable']) ? $profile['timezone'] : '',
		'timezone_update' => !empty($modSettings['timezones_enable']) ? $profile['timezone_update'] : 0,
		'timezone_offset' => !empty($modSettings['timezones_enable']) ? $profile['timezone_offset'] : 0,
</replace>

<edit file>
$sourcedir/Profile.php
</edit file>

<search for>
		'time_offset' => empty($user_profile[$memID]['timeOffset']) ? '0' : $user_profile[$memID]['timeOffset'],
</search for>

<replace>
		'time_offset' => empty($user_profile[$memID]['timeOffset']) ? '0' : $user_profile[$memID]['timeOffset'],
		'timezone' => '',
</replace>

<search for>
	$context['easy_timeformats'] = array(
</search for>

<replace>
	//Timezone select :D
	if(!empty($modSettings['timezones_enable']))
	{
		global $scripturl;
		
		loadTimeZones(true);
		$context['timezones']['selects'] = array('0' => $txt['timezones_forumStandard']); //Nothing Selected ;)
		foreach($context['timezones']['TZ'] as $zone) 
			$timezonearray2[$zone['zone']] = return_selectField($zone);
		asort($timezonearray2);
		$context['timezones']['selects'] += $timezonearray2;		
		
		//Fill the empty value :D
		$context['member']['timezone'] = !empty($_REQUEST['zone']) ? $_REQUEST['zone'] : $user_profile[$memID]['timezone'];
		
		//Timezonesearch
		$context['timezones']['search'] = '<a href="' . $scripturl . '?action=timezonesearch;return=profil">' . $txt['timezones_search'] . '</a>';
	}
	else
		$context['timezones']['search'] = array();

	$context['easy_timeformats'] = array(
</replace>

<search for>
		'gender',
		'ID_THEME',
</search for>

<add after>
		'timezone_offset',
		'timezone_update',
</add after>

<search for>
		'signature', 'personalText', 'avatar',
</search for>

<add after>
		'timezone',
</add after>

<search for>
			$post_errors[] = 'bad_offset';
	}
</search for>

<replace>
			$post_errors[] = 'bad_offset';
	}

	//Checkup the Timezones 8)
	if(!empty($modSettings['timezones_enable']) && isset($_POST['timezone']))
	{
		$zoneCalc = calculateZoneDtsData($_POST['timezone']);
		if($zoneCalc !== false)
		{
			$_POST['timezone_update'] = $zoneCalc['nextUpdate'];
			$_POST['timezone_offset'] = $zoneCalc['offsetSeconds'];
		}
		else
		{
			$_POST['timezone'] = '';
			$_POST['timezone_update'] = 0;
			$_POST['timezone_offset'] = 0;
		}
	}
</replace>

<edit file>
$sourcedir/Subs.php
</edit file>

<search for>
			'timeFormat',
			'timeOffset',
</search for>

<add after>
			'timezone',
			'timezone_update',
			'timezone_offset',
</add after>

<search for>
	$time = $logTime + ($user_info['time_offset'] + $modSettings['time_offset']) * 3600;
</search for>

<replace>
	// Offset the time.
	if(!empty($modSettings['timezones_enable']))
		$time = timezone_timestamp(true, $logTime);
	else
		$time = $logTime + ($user_info['time_offset'] + $modSettings['time_offset']) * 3600;
</replace>

<search for>
	return $timestamp + ($modSettings['time_offset'] + ($use_user_offset ? $user_info['time_offset'] : 0)) * 3600;
</search for>

<replace>
	if(!empty($modSettings['timezones_enable']))
		return timezone_timestamp($use_user_offset, $timestamp);
	else
		return $timestamp + ($modSettings['time_offset'] + ($use_user_offset ? $user_info['time_offset'] : 0)) * 3600;
</replace>

<search for>
			$context['admin_areas']['layout']['areas']['manage_search'] = '<a href="' . $scripturl . '?action=managesearch">' . $txt['manage_search'] . '</a>';
</search for>

<replace>
			$context['admin_areas']['layout']['areas']['manage_search'] = '<a href="' . $scripturl . '?action=managesearch">' . $txt['manage_search'] . '</a>';
			$context['admin_areas']['layout']['areas']['manage_timezones'] = '<a href="' . $scripturl . '?action=managetimezones">' . $txt['manage_timezones'] . '</a>';
</replace>

<search for>
function timeformat($logTime, $show_today = true)
</search for>

<replace>
function timeformat($logTime, $show_today = true, $timezone = false)
</replace>

<search for>
	// Format any other characters..
	return strftime($str, $time);
</search for>

<replace>
	// Okay add the correct Timezone short cut for %Z
	if (!empty($modSettings['timezones_enable']) && strpos($user_info['time_format'], '%Z') !== false)
	{
		if ($timezone === false)
		{
			if (empty($user_info['timezone_shortcut']))
			{
				$zone = (!empty($user_info['timezone']) ? $user_info['timezone'] : (!empty($modSettings['timezones_useStandard']) ? $modSettings['timezones_standard'] : ''));
				$offset = (!empty($user_info['timezone']) ? $user_info['timezone_offset'] : (!empty($modSettings['timezones_useStandard']) ? $modSettings['timezones_standard_offset'] : 0));
				$user_info['timezone_shortcut'] = return_shortTimezone($zone, $offset);
			}
			$str = str_replace('%Z', $user_info['timezone_shortcut'], $str);
		}
		else
				$str = str_replace('%Z', $timezone, $str);
	}

	// Format any other characters..
	return strftime($str, $time);
</replace>

<edit file>
$themedir/Profile.template.php
</edit file>

<search for>
	echo '
									</select><br />
									<input type="text" name="timeFormat" value="', $context['member']['time_format'], '" size="30" />
								</td>
							</tr><tr>
								<td width="40%"><b', (isset($context['modify_error']['bad_offset']) ? ' style="color: red;"' : ''), '>', $txt[371], ':</b><div class="smalltext">', $txt[519], '</div></td>
								<td class="smalltext"><input type="text" name="timeOffset" size="5" maxlength="5" value="', $context['member']['time_offset'], '" /> <a href="javascript:void(0);" onclick="autoDetectTimeOffset(); return false;">', $txt['timeoffset_autodetect'], '</a><br />', $txt[741], ': <i>', $context['current_forum_time'], '</i></td>
							</tr><tr>
								<td colspan="2"><hr width="100%" size="1" class="hrcolor" /></td>
							</tr>';

	echo '
							<tr>
								<td colspan="2">
									<table width="100%" cellspacing="0" cellpadding="3">
</search for>

<replace>
	echo '
									</select><br />
									<input type="text" name="timeFormat" value="', $context['member']['time_format'], '" size="30" />
								</td>
							</tr>';
	if(empty($modSettings['timezones_enable']))
	{
		echo '							
							<tr>
								<td width="40%"><b', (isset($context['modify_error']['bad_offset']) ? ' style="color: red;"' : ''), '>', $txt[371], ':</b><div class="smalltext">', $txt[519], '</div></td>
								<td class="smalltext"><input type="text" name="timeOffset" size="5" maxlength="5" value="', $context['member']['time_offset'], '" /> <a href="javascript:void(0);" onclick="autoDetectTimeOffset(); return false;">', $txt['timeoffset_autodetect'], '</a><br />', $txt[741], ': <i>', $context['current_forum_time'], '</i></td>
							</tr>';
	}
	else
	{
		echo '							
							<tr>
								<td width="40%"><b>', $txt['timezones_select_zone'], ':</b></td>
								<td>
									<input type="hidden" name="timeOffset" value="', $context['member']['time_offset'], '" />
									<select name="timezone">';
		foreach($context['timezones']['selects'] as $zone => $option)
			echo '
										<option value="' . $zone . '"' . ($context['member']['timezone'] == $zone ? ' selected="selected"' : '') . '>' . $option . '</option>';
		echo '							
									</select><br />
									' . $context['timezones']['search'] . '
								</td>
							</tr>';
	}

	echo '
							<tr>
								<td colspan="2"><hr width="100%" size="1" class="hrcolor" /></td>
							</tr><tr>
								<td colspan="2">
									<table width="100%" cellspacing="0" cellpadding="3">
</replace>